ScheduledTrigger [tekton.alaudadevops.io/v1alpha1]

Description
ScheduledTrigger is the Schema for the scheduledtriggers API
Type
object
Required
spec

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

spec defines the desired state of ScheduledTrigger

statusobject

status defines the observed state of ScheduledTrigger

.spec

Description
spec defines the desired state of ScheduledTrigger
Type
object
Required
triggerTemplate
PropertyTypeDescription
paramsarray
schedulestring

The schedule in Cron format, see https://en.wikipedia.org/wiki/Cron.

timeZonestring

The time zone name for the given schedule, see https://en.wikipedia.org/wiki/List_of_tz_database_time_zones. If not specified, this will default to the time zone of the kube-controller-manager process. The set of valid time zone names and the time zone offset is loaded from the system-wide time zone database by the API server during CronJob validation and the controller manager during execution. If no system-wide time zone database can be found a bundled version of the database is used instead. If the time zone name becomes invalid during the lifetime of a CronJob or due to a change in host configuration, the controller will stop creating new new Jobs and will create a system event with the reason UnknownTimeZone. More information can be found in https://kubernetes.io/docs/concepts/workloads/controllers/cron-jobs/#time-zones

triggerTemplateobject

.spec.params

Type
array

.spec.params[]

Description
Param defines a string value to be used for a ParamSpec with the same name.
Type
object
Required
namevalue
PropertyTypeDescription
namestring
valuestring

.spec.triggerTemplate

Type
object
PropertyTypeDescription
apiversionstring
refstring
specobject

TriggerTemplateSpec holds the desired state of TriggerTemplate

.spec.triggerTemplate.spec

Description
TriggerTemplateSpec holds the desired state of TriggerTemplate
Type
object
PropertyTypeDescription
paramsarray
resourcetemplatesarray

.spec.triggerTemplate.spec.params

Type
array

.spec.triggerTemplate.spec.params[]

Description
ParamSpec defines an arbitrary named input whose value can be supplied by a `Param`.
Type
object
Required
name
PropertyTypeDescription
defaultstring

Default is the value a parameter takes if no input value via a Param is supplied.

descriptionstring

Description is a user-facing description of the parameter that may be used to populate a UI.

namestring

Name declares the name by which a parameter is referenced.

.spec.triggerTemplate.spec.resourcetemplates

Type
array

.spec.triggerTemplate.spec.resourcetemplates[]

Description
TriggerResourceTemplate describes a resource to create
Type
object

.status

Description
status defines the observed state of ScheduledTrigger
Type
object
PropertyTypeDescription
lastScheduleTimestring

Information when was the last time the job was successfully scheduled.

API Endpoints

The following API endpoints are available:

  • /apis/tekton.alaudadevops.io/v1alpha1/namespaces/{namespace}/scheduledtriggers
    • DELETE: delete collection of ScheduledTrigger
    • GET: list objects of kind ScheduledTrigger
    • POST: create a new ScheduledTrigger
  • /apis/tekton.alaudadevops.io/v1alpha1/namespaces/{namespace}/scheduledtriggers/{name}
    • DELETE: delete the specified ScheduledTrigger
    • GET: read the specified ScheduledTrigger
    • PATCH: partially update the specified ScheduledTrigger
    • PUT: replace the specified ScheduledTrigger
  • /apis/tekton.alaudadevops.io/v1alpha1/namespaces/{namespace}/scheduledtriggers/{name}/status
    • GET: read status of the specified ScheduledTrigger
    • PATCH: partially update status of the specified ScheduledTrigger
    • PUT: replace status of the specified ScheduledTrigger

/apis/tekton.alaudadevops.io/v1alpha1/namespaces/{namespace}/scheduledtriggers

HTTP method
DELETE
Description
delete collection of ScheduledTrigger
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ScheduledTrigger
HTTP responses
HTTP codeResponse body
200 - OKScheduledTriggerList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ScheduledTrigger
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyScheduledTrigger schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
201 - CreatedScheduledTrigger schema
202 - AcceptedScheduledTrigger schema
401 - UnauthorizedEmpty

/apis/tekton.alaudadevops.io/v1alpha1/namespaces/{namespace}/scheduledtriggers/{name}

HTTP method
DELETE
Description
delete the specified ScheduledTrigger
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ScheduledTrigger
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ScheduledTrigger
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ScheduledTrigger
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyScheduledTrigger schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
201 - CreatedScheduledTrigger schema
401 - UnauthorizedEmpty

/apis/tekton.alaudadevops.io/v1alpha1/namespaces/{namespace}/scheduledtriggers/{name}/status

HTTP method
GET
Description
read status of the specified ScheduledTrigger
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ScheduledTrigger
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ScheduledTrigger
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyScheduledTrigger schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKScheduledTrigger schema
201 - CreatedScheduledTrigger schema
401 - UnauthorizedEmpty